<ui:composition
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="replayPanel"/>
        <ui:define name="popup_title">#{messages['net.ihe.gazelle.simulators.ReplayMessage']}</ui:define>
        <s:div id="replayPanelDiv">
            <s:div rendered="#{managedBean.selectedInstance != null}">
                <dl class="dl-horizontal">
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simu.Domain']}</ui:define>
                        <h:outputText value="#{managedBean.selectedInstance.domain.name}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simu.Transaction']}</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedInstance.transaction.keyword}"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.simu.Initiator']}</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedInstance.request.issuer} (#{managedBean.selectedInstance.request.issuingActor.keyword})"/>
                    </s:decorate>
                    <s:decorate template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.simulators.MessageType_2']}</ui:define>
                        <h:outputText
                                value="#{managedBean.selectedInstance.request.type}"/>
                    </s:decorate>
                </dl>
                <div class="form-inline">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:param name="id" value="replaysut"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.SystemUnderTest_2']}</ui:define>
                    <h:selectOneMenu id="replaysut"
                        value="#{managedBean.sutForReplay}" styleClass="form-control">
                        <s:selectItems value="#{managedBean.getAvailableRespondersForReplay()}"
                                       var="sut" label="#{sut.name}" noSelectionLabel="#{messages['net.ihe.gazelle.simulators.PleaseSelect']}"/>
                    </h:selectOneMenu>
                </s:decorate>
                </div>
            </s:div>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton value="#{messages['net.ihe.gazelle.simulators.SendMessage']}" styleClass="gzl-btn-green"
                               actionListener="#{managedBean.replayMessage()}"
                               onclick="jq162('#replayPanel').modal('hide');"
                               render="messageList"/>
            <a4j:commandButton value="#{messages['users.Cancel']}" styleClass="gzl-btn"
                               actionListener="#{managedBean.cancelReplay()}"
                               onclick="jq162('#replayPanel').modal('hide');"
                               render="messageList"/>
        </ui:define>
    </ui:decorate>
</ui:composition>
